package jcreek.cke.browser;

import java.io.File;
import java.awt.*;
import javax.swing.filechooser.*;

public class SimpleFileFilter extends FileFilter {
  String[] extentions;
  String description;

  public SimpleFileFilter(String ext){
    this (new String[] {ext},null);
    }

  public SimpleFileFilter(String[] exts,String descr)
    {
    extentions=new String[exts.length];
    for(int i=exts.length-1;i>=0;i--){
      extentions[i]=exts[i].toLowerCase();
      }
    description=(descr==null?exts[0]+ "files ":descr);
    }

  public boolean accept(File f){
    if(f.isDirectory()){return true;}
    String name=f.getName().toLowerCase();
    for (int i=extentions.length-1;i>=0;i--){
      if(name.endsWith(extentions[i])){
        return true;
        }
      }
      return false;
    }
    public String getDescription(){
      return description;
      }
 }
