package jcreek.cke.graph;

import java.lang.Cloneable;
import java.io.Serializable;
import java.util.Iterator;

public interface Graph  extends Serializable,Cloneable{


  public boolean addNode(Node node);

  public boolean removeNode(Node node);



  public boolean addEdge(Edge edge);

  public boolean removeEdge(Edge edge);


  public boolean setRoot(Node node);

  public boolean isRoot(Node node);

  public Node getRoot();


  public Iterator getNodeIterator();

  public Iterator getEdgeIterator(Node node);

  public Iterator getEdgeIterator();

  public int nodeSize();

  public int edgeSize();

  public Iterator getChildIterator(Node node);

  public int getNumChildren(Node node);

  public void copy(Graph newgraph);

}