package jcreek.cke.graph;

import java.util.*;

public class TreeGraph extends DefaultGraph{


  public TreeGraph() {
      super();
  }


  public boolean addEdge(Edge edge)
  {
        if(isPath(edge.getHead(),edge.getTail()))
            return false;
        edge.getHead().addEdge(edge);
        edge.getTail().addEdge(edge);
	return true;
  }



  protected boolean isPath(Node head,Node tail)
  {
        return head.containsChild(tail)||tail.containsChild(head);
  }

}