package jcreek.cke.graph.layout;

import jcreek.cke.graph.Graph;
import java.awt.Rectangle;

/**
 * This interface represents a particular method of laying out a graph of nodes
 * on a 2 dimensional surface.
 */

public interface Layout
{
  /**
   * Lay out the graph within the supplied bounds.
   */
  public void layout(Graph graph, Rectangle bounds);
}