package jcreek.cke.util;

import java.io.Serializable;

import jcreek.cke.graph.RelationList;
import jcreek.cke.graph.VertexList;


/**
 * Title:        JavaCreek
 * Description:  A Case based Reasoning Approach in java
 * Copyright:    Copyright (c) 2002
 * Company:      Phil
 * @author Victor
 * @version 1.0
 */

public class SelectionSet implements Cloneable,Serializable {

  protected VertexList vl;
  protected RelationList rl;

  public SelectionSet(VertexList vl,RelationList rl)
  {
      this.vl = vl;
      this.rl = rl;
  }



  public VertexList getVertexList()
  {
      return vl;
  }

  public RelationList getRelationList()
  {
      return rl;
  }

  public Object clone() throws java.lang.CloneNotSupportedException
  {
     SelectionSet copy;
     copy = (SelectionSet)super.clone();
     return copy;
  }

    public SelectionSet copy() {
        SelectionSet set = new SelectionSet(vl.copy(),rl.copy());
        return set;
    } // copy


}