package jcreek.cke.visualizer;

import javax.swing.ComboBoxModel;
import javax.swing.ListModel;
import java.util.Vector;
import java.util.Collection;
import javax.swing.event.ListDataListener;
import javax.swing.event.ListDataEvent;

import jcreek.representation.cbr.*;
import jcreek.representation.KnowledgeModel;
import jcreek.representation.Entity;
import jcreek.cke.util.QuickSort;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

public class RelationComboBoxModel extends EntityListModel implements ComboBoxModel {

  Object  selectedObject;
  public RelationComboBoxModel(KnowledgeModel km)
  {
    super(km);
  }

  public Object getSelectedItem()
  {
    return selectedObject;
  }

  public void setSelectedItem(Object ob)
  {
    selectedObject = ob;
  }

  protected Entity[] getConceptList()
  {
    Collection col = km.getEntity(CBRModel.RELATION).getAllSubclassesCollection();
    col.add(km.getEntity(CBRModel.RELATION));
    return (Entity[]) col.toArray(new Entity[col.size()]);
  }

}
