package jcreek.examples;

/**
 * Example to list the partition in a model.
 *
 * @author Frode Srmo
 * @version 1.0
 */

import jcreek.representation.*; import jcreek.representation.cbr.*;

public class ListPartitions
{
  public ListPartitions()
  {
  }

  public static void main(String argv[])
  {
    if(argv.length < 0)
    {
      System.out.println("Please supply the filename to .km model file.");
    }

    try
    {
      LocalKnowledgeModel km = new LocalKnowledgeModel(argv[0]);
      Partition[] partitions = km.getPartitions();
      for(int i=0;i<partitions.length;i++)
      {
        System.out.println(partitions[i].toString());
      }
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
  }
}
