package jcreek.gui.representation;

/**
 * <p>Title: LinkListener</p>
 * <p>Description: Listener that will be notified when a link icon is clicked
 * in a table described by a FrameTableModel.</p>
 * @author Frode Srmo
 * @version 1.0
 */

public interface LinkListener extends java.util.EventListener
{
  public void linkClicked(LinkEvent e);
  public void linkAction(LinkEvent e);
}
