package jcreek.representation.inference;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2004</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

import jcreek.representation.*; import jcreek.representation.cbr.*;

public class PartitionPlausibleInheritanceMethod extends PlausibleInheritanceMethod
{
  Partition partition;

  public PartitionPlausibleInheritanceMethod(KnowledgeModel km, Partition part)
  {
    super(km);
    partition = part;
  }

  public PartitionPlausibleInheritanceMethod(RelationType rcd, Partition part)
  {
    super(rcd);
    partition = part;
  }

  public boolean accept(Relation rel)
  {
    if(partition.contains(rel))
      return super.accept(rel);
    else
      return false;
  }

  public boolean accept(Relation rel, Entity ent)
  {
    if(partition.contains(ent) && partition.contains(rel))
      return super.accept(rel,ent);
    else
      return false;
  }
}
