package jcreek.representation.inference;

import jcreek.representation.*;

public class SubclassSpreadingActivationRule
{
  public SubclassSpreadingActivationRule()
  {
  }

  public boolean accept(Relation from, Entity target)
  {
    return true;
  }

  public boolean accept(Entity from, Relation target)
  {
//    System.out.println("Testing accept for "+target.toString()+" (from "+from.toString()+")");
    RelationType rcd = target.getRelationType();

    if(target.getKnowledgeModel().getRelationType(BasicModel.SUBCLASS_OF).getInverseType().isAssignableFrom(rcd)
//        ||      target.getKnowledgeModel().getRelationType(SubclassOf.class).isAssignableFrom(rcd)
        )
    {
//     System.out.println("Accepted");
     return true;
    }
    else
     return false;
  }

  public boolean enter(Entity target)
  {
    return true;
  }

  public boolean reenter(Entity target)
  {
    return false;
  }
}

