package jcreek.util.selection;

/**
 * <p>Title: SelectionChangeEvent</p>
 * <p>Description: An event object representing an event signifying a change
 * to a selection set.</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class SelectionChangeEvent extends java.util.EventObject
{
  private Object object;
  private int type = 0;

  public static final int SELECTION_CHANGE_CLEAR = 1;
  public static final int SELECTION_CHANGE_ADD = 2;
  public static final int SELECTION_CHANGE_REMOVE = 3;


  public SelectionChangeEvent(int type, Object object, Object source)
  {
    super(source);
    this.object = object;
    this.type = type;
  }

  public int getType()
  {
    return type;
  }

  public Object getObject()
  {
    return object;
  }
}