package jcreek.util.selection;

/**
 * <p>Title: SelectionChangeListener</p>
 * <p>Description: A listener that listens for changes in a selection set.</p>
 * @author Frode Srmo
 * @version 1.0
 */

public interface SelectionChangeListener
{
  public void selectionAdd(SelectionChangeEvent e);
  public void selectionRemove(SelectionChangeEvent e);
  public void selectionClear(SelectionChangeEvent e);
}