package jcreek.cke.command;

import java.awt.event.ActionEvent;
import javax.swing.*;

/**
 * Title:        JavaCreek
 * Description:  A Case Based Reasoning approach developed in Java
 * Copyright:    Copyright (c) 1999
 * Company:      Phil Systems
 * @author Victor Dias
 * @version
 */

public class ActivateEntityAction extends CreekAction
{



    /**
     * Creates a new ActivateEntityAction object with the default
     * action command string of "activateEntity".
     */
  public ActivateEntityAction()
  {
      super("activateEntity");
  }



    /**
     * Performs the Activate Entity action. This will query the
     * user for the position of the new entity.
     *
     * @param  event  action event
     */
  public void actionPerformed(ActionEvent event)
  {
    /**@todo: implement this javax.swing.AbstractAction abstract method*/
  }
}