package jcreek.cke.util;


/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2002
 * Company:
 * @author
 * @version 1.0
 */

public class Matrix33{
public double[][] matrix;
public double scale;



public Matrix33()
	{
	matrix = new double[3][3];

	for(int i = 0; i < 3; i++)
		for(int j = 0; j < 3; j++)
			matrix[i][j] = 0.0;
	}



public Matrix33(Matrix33 init)
	{
	matrix = new double[3][3];

	for(int i = 0; i < 3; i++)
		for(int j = 0; j < 3; j++)
			matrix[i][j] = init.matrix[i][j];
	}



public void mult(Matrix33 mat2)
	{
	double[][]	result = new double[3][3];
	double[][]	a = matrix;
	double[][]	b = mat2.matrix;

	for(int i = 0; i < 3; i++)
		for(int j = 0; j < 3; j++)
			result[i][j] = a[i][0] * b[0][j] + a[i][1] * b[1][j] +
				a[i][2] * b[2][j];

	for(int i = 0; i < 3; i++)
		for(int j = 0; j < 3; j++)
			a[i][j] = result[i][j];
	}




public void setTo(Matrix33 mat2)
	{
	for(int i = 0; i < 3; i++)
		for(int j = 0; j < 3; j++)
			matrix[i][j] = mat2.matrix[i][j];
	}
}