package jcreek.gui.conceptmap.tool;

/**
 * <p>Title: ConceptMapTool</p>
 * <p>Description: The interface that must be fulfilled by a tool when registerd
 * with a ConceptMapView.</p>
 * @author Frode Srmo
 * @version 1.0
 */

import jcreek.gui.conceptmap.*;
import java.awt.Graphics;

public interface ConceptMapTool
{
  public void attach(ConceptMapView cm);
  public void detatch();
  public void paintTool(Graphics g);
}