package jcreek.representation;

import jcreek.util.CreekException;

/**
 * Exception generated when trying to set the name of an entity to a name
 * that already exists.
 */

public class NameAlreadyExistException extends CreekException
{
  private String name;
  public NameAlreadyExistException(String name)
  {
    super("There is already an enity with the name '"+name+"' in this knowledgemodel.");
    this.name = name;
  }

  public String getName()
  {
    return name;
  }
}


