package jcreek.representation.inference;

public interface ActivationConstants
{
  /** constances reflecting the predictiveStrength values,
    * used in HasFinding for the variable predictiveStrength*/
  final static double  SUFFICIENT                  = 1,
                       STRONGLY_INDICATIVE         = 0.8,
                       DEFAULT_PREDICTIVE_STRENGTH = 0.8,
                       INDICATIVE                  = 0.5,
                       SPURIOUS                    = 0.05;
  /** constances reflecting the importance values
    * used in HasFinding for the variable importance*/
  final static double NECCESSARY          = 0.95,
                      CHARACTERISTIC      = 0.8,
                      INFORMATIVE         = 0.5,
                      DEFAULT_IMPORTANCE  = 0.5,
                      IRRELEVANT          = 0.05;

}

