package jcreek.util;

/**
 * Comparator used to sort entities by name.</p>
 * @author Frode Srmo
 * @version 1.0
 */

import java.util.Comparator;
import jcreek.representation.Entity;

public class EntityNameComparator implements Comparator
{
  public EntityNameComparator()
  {
  }

  public int compare(Object ob1, Object ob2)
  {
    try
    {
      return ((Entity) ob1).getName().toLowerCase().compareTo(((Entity) ob2).getName().toLowerCase());
    }
    catch(ClassCastException e)
    {
      return -1;
    }
  }
}